subversion-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From julianf...@apache.org
Subject svn commit: r1463168 - in /subversion/trunk/tools/buildbot/slaves: centos/svnclean.sh i686-debian-sarge1/svnclean.sh svn-x64-macosx-gnu-shared-daily-ra_serf/svnclean.sh svn-x64-macosx-gnu-shared/svnclean.sh ubuntu-x64/svnclean.sh
Date Mon, 01 Apr 2013 15:47:39 GMT
Author: julianfoad
Date: Mon Apr  1 15:47:38 2013
New Revision: 1463168

URL: http://svn.apache.org/r1463168
Log:
Some of the buildbot scripts were not properly reporting an error during the
'clean' phase. Correct this.

Found by: danielsh

* tools/buildbot/slaves/centos/svnclean.sh,
  tools/buildbot/slaves/i686-debian-sarge1/svnclean.sh,
  tools/buildbot/slaves/svn-x64-macosx-gnu-shared-daily-ra_serf/svnclean.sh,
  tools/buildbot/slaves/svn-x64-macosx-gnu-shared/svnclean.sh,
  tools/buildbot/slaves/ubuntu-x64/svnclean.sh
    Exit with an error status if the 'make extraclean' step fails.

Modified:
    subversion/trunk/tools/buildbot/slaves/centos/svnclean.sh
    subversion/trunk/tools/buildbot/slaves/i686-debian-sarge1/svnclean.sh
    subversion/trunk/tools/buildbot/slaves/svn-x64-macosx-gnu-shared-daily-ra_serf/svnclean.sh
    subversion/trunk/tools/buildbot/slaves/svn-x64-macosx-gnu-shared/svnclean.sh
    subversion/trunk/tools/buildbot/slaves/ubuntu-x64/svnclean.sh

Modified: subversion/trunk/tools/buildbot/slaves/centos/svnclean.sh
URL: http://svn.apache.org/viewvc/subversion/trunk/tools/buildbot/slaves/centos/svnclean.sh?rev=1463168&r1=1463167&r2=1463168&view=diff
==============================================================================
--- subversion/trunk/tools/buildbot/slaves/centos/svnclean.sh (original)
+++ subversion/trunk/tools/buildbot/slaves/centos/svnclean.sh Mon Apr  1 15:47:38 2013
@@ -27,6 +27,6 @@ echo "========= unmount RAM disc"
 test -e ../unmount-ramdrive && ../unmount-ramdrive
 
 echo "========= make extraclean"
-test -e Makefile && (make extraclean || exit $?)
+test -e Makefile && { make extraclean || exit $?; }
 
 exit 0

Modified: subversion/trunk/tools/buildbot/slaves/i686-debian-sarge1/svnclean.sh
URL: http://svn.apache.org/viewvc/subversion/trunk/tools/buildbot/slaves/i686-debian-sarge1/svnclean.sh?rev=1463168&r1=1463167&r2=1463168&view=diff
==============================================================================
--- subversion/trunk/tools/buildbot/slaves/i686-debian-sarge1/svnclean.sh (original)
+++ subversion/trunk/tools/buildbot/slaves/i686-debian-sarge1/svnclean.sh Mon Apr  1 15:47:38
2013
@@ -27,6 +27,6 @@ echo "========= unmount RAM disc"
 test -e ../unmount-ramdrive && ../unmount-ramdrive
 
 echo "========= make extraclean"
-test -e Makefile && (make extraclean || exit $?)
+test -e Makefile && { make extraclean || exit $?; }
 
 exit 0

Modified: subversion/trunk/tools/buildbot/slaves/svn-x64-macosx-gnu-shared-daily-ra_serf/svnclean.sh
URL: http://svn.apache.org/viewvc/subversion/trunk/tools/buildbot/slaves/svn-x64-macosx-gnu-shared-daily-ra_serf/svnclean.sh?rev=1463168&r1=1463167&r2=1463168&view=diff
==============================================================================
--- subversion/trunk/tools/buildbot/slaves/svn-x64-macosx-gnu-shared-daily-ra_serf/svnclean.sh
(original)
+++ subversion/trunk/tools/buildbot/slaves/svn-x64-macosx-gnu-shared-daily-ra_serf/svnclean.sh
Mon Apr  1 15:47:38 2013
@@ -23,7 +23,7 @@
 # ../unmount_ramd.sh
 
 echo "========= make extraclean"
-test -e Makefile && (make extraclean || exit $?)
+test -e Makefile && { make extraclean || exit $?; }
 rm -rf ../build/*
 rm -rf .svn
 rm -rf .buildbot-sourcedata

Modified: subversion/trunk/tools/buildbot/slaves/svn-x64-macosx-gnu-shared/svnclean.sh
URL: http://svn.apache.org/viewvc/subversion/trunk/tools/buildbot/slaves/svn-x64-macosx-gnu-shared/svnclean.sh?rev=1463168&r1=1463167&r2=1463168&view=diff
==============================================================================
--- subversion/trunk/tools/buildbot/slaves/svn-x64-macosx-gnu-shared/svnclean.sh (original)
+++ subversion/trunk/tools/buildbot/slaves/svn-x64-macosx-gnu-shared/svnclean.sh Mon Apr 
1 15:47:38 2013
@@ -23,7 +23,7 @@
 # ../unmount_ramd.sh
 
 echo "========= make extraclean"
-test -e Makefile && (make extraclean || exit $?)
+test -e Makefile && { make extraclean || exit $?; }
 rm -rf ../build/*
 rm -rf .svn
 rm -rf .buildbot-sourcedata

Modified: subversion/trunk/tools/buildbot/slaves/ubuntu-x64/svnclean.sh
URL: http://svn.apache.org/viewvc/subversion/trunk/tools/buildbot/slaves/ubuntu-x64/svnclean.sh?rev=1463168&r1=1463167&r2=1463168&view=diff
==============================================================================
--- subversion/trunk/tools/buildbot/slaves/ubuntu-x64/svnclean.sh (original)
+++ subversion/trunk/tools/buildbot/slaves/ubuntu-x64/svnclean.sh Mon Apr  1 15:47:38 2013
@@ -24,6 +24,6 @@ set -x
 
 echo "========= make extraclean"
 cd build
-test -e Makefile && (make extraclean || exit $?)
+test -e Makefile && { make extraclean || exit $?; }
 
 exit 0



Mime
View raw message